Get Persona
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "simulation_persona",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": [
"<string>"
],
"user_overrides": {},
"created_at": "<string>",
"updated_at": "<string>"
}Simulation
Get Persona
Get a simulation persona by ID.
GET
/
api
/
v1
/
simulation
/
personas
/
{persona_id}
Get Persona
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/personas/{persona_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "simulation_persona",
"description": "<string>",
"role": "<string>",
"behavior_notes": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"custom_llm_temperature": 123,
"enabled_tool_ids": [
"<string>"
],
"user_overrides": {},
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Path Parameters
Response
200 - application/json
OK
Response schema for simulation personas.
